# coding=utf-8

import django_filters

from .models import UsedVehicle, UsedVehicleImg


class UsedVehicleFilter(django_filters.FilterSet):
    brand = django_filters.CharFilter(field_name='brand')
    number = django_filters.CharFilter(field_name='number', lookup_expr='icontains')
    status = django_filters.CharFilter(field_name='status')
    gearbox = django_filters.CharFilter(field_name='gearbox')
    color = django_filters.CharFilter(field_name='color')
    displacement = django_filters.CharFilter(field_name='displacement')
    emission = django_filters.CharFilter(field_name='emission')
    seat_count = django_filters.CharFilter(field_name='seat_count')
    oil_type = django_filters.CharFilter(field_name='oil_type')

    class Meta:
        model = UsedVehicle
        fields = '__all__'

class UsedVehicleImgFilter(django_filters.FilterSet):
    main = django_filters.CharFilter(field_name='main')

    class Meta:
        model = UsedVehicleImg
        fields = '__all__'
