# coding=utf-8

from django.conf.urls import url, include
from rest_framework.routers import SimpleRouter

from .views import *

urlpatterns = [
    url(r'^drive_reserve/$', VhicleDriveReserveViewSet.as_view()),
    url(r'^inquiry/$', VhicleInquiryViewSet.as_view()),
    url(r'^usedvehicle_inquiry/$', UsedVhicleInquiryViewSet.as_view()),
    url(r'^usedvehicle_estimate/$', UsedVhicleEstimateViewSet.as_view()),
    url(r'^product_order/$', ProductOrderViewSet.as_view()),
    url(r'^vehicles/$', CustomerVehicleViewSet.as_view()),
    url(r'^address/$', CustomerAddressViewSet.as_view()),
]